Skip to content

Get identity source details

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.

Get identity source details through identity source ID, and specify tenant ID filtering.

Method name

ManagementClient.getExtIdp

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
idstringyes-Identity source ID6268b0e5e4b9a0e8ffa8fd60
tenantIdstringno-Tenant ID60b49eb83fd80adb96f26e68
appIdstringno-Application ID60b49eb83fd80adb96f26e68
typestringNo-Identity source type

Sample code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If it is a private deployment customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.getExtIdp({
    id: "6268b0e5e4xxxxxxffa8fd60",
    tenantId: "6229ffaxxxxxxxxcade3e3d9",
    appId: "60b49eb83fxxxxxx96f26e68",
    type: "social",
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request response

Type: ExtIdpDetailSingleRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a ExtIdpDetailResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "id": "60b49eb83fd80adb96f26e68",
    "name": "default",
    "logo": "https://files.authing.co/authing-console/social-connections/wechatIdentitySource.svg",
    "tenantId": "60b49eb83fd80adb96f26e68",
    "type": "wechat",
    "autoJoin": true
  }
}

Data structure

ExtIdpDetail

NameTypeIs it required?DescriptionSample value
idstringyesidentity source id60b49eb83fd80adb96f26e68
namestringyesidentity source namedefault
logostringyesidentity source logohttps://files.authing.co/authing-console/social-connections/wechatIdentitySource.svg
tenantIdstringnotenant id60b49eb83fd80adb96f26e68
typestringyesidentity source typewechat
connectionsobjectyesconnection list of identity source
autoJoinbooleanyesauto join in tenant scenariotrue

Agent infrastructure for identity, memory, and web action.